package com.fastbee.rechargecard.service;

import java.math.BigDecimal;
import java.util.List;
import com.fastbee.rechargecard.domain.UserRechargeCards;
import com.fastbee.rechargecard.domain.dto.RechargecardUser;

/**
 * 用户充值卡Service接口
 *
 * @author kerwincui
 * @date 2024-12-17
 */

public interface IUserRechargeCardsService
{

    public Long test(Long id);
    /**
     * 查询用户充值卡
     *
     * @param id 用户充值卡主键
     * @return 用户充值卡
     */
    public UserRechargeCards selectUserRechargeCardsById(Long id);

    /**
     * 查询用户充值卡列表
     *
     * @param userRechargeCards 用户充值卡
     * @return 用户充值卡集合
     */
    public List<UserRechargeCards> selectUserRechargeCardsList(UserRechargeCards userRechargeCards);

    /**
     * 新增用户充值卡
     *
     * @param userRechargeCards 用户充值卡
     * @return 结果
     */
    public int insertUserRechargeCards(UserRechargeCards userRechargeCards);

    /**
     * 修改用户充值卡
     *
     * @param userRechargeCards 用户充值卡
     * @return 结果
     */
    public int updateUserRechargeCards(UserRechargeCards userRechargeCards);

    /**
     * 微信支付后修改用户充值卡余额以及订单状态
     * @param rechargeCode
     * @return
     */
    public int updateUserRechargeWechat(String rechargeCode,BigDecimal payer_total) throws Exception;

    /**
     * 批量删除用户充值卡
     *
     * @param ids 需要删除的用户充值卡主键集合
     * @return 结果
     */
    public int deleteUserRechargeCardsByIds(Long[] ids);

    /**
     * 删除用户充值卡信息
     *
     * @param id 用户充值卡主键
     * @return 结果
     */
    public int deleteUserRechargeCardsById(Long id);
    /**
     * 用户充值卡信息
     *

     * @return 结果
     */
    public int updateUserRecharge(RechargecardUser rechargecardUser);
}
